version: '3.1'

services:
  policy-clamp-frontend:
    image: onap/policy-clamp-frontend
    depends_on:
      - policy-clamp-backend
    ports:
      - "2443:2443"
  db:
    image: mariadb:10.5.4
    volumes:
      - db-vol:/var/lib/mysql
      - "../mariadb/conf1:/etc/mysql/conf.d:ro"
      - "../../sql/:/docker-entrypoint-initdb.d:rw"
    environment:
      - MYSQL_ROOT_PASSWORD=strong_pitchou
    ports:
      - "3306:3306"

  policy-clamp-backend:
    image: onap/policy-clamp-backend
    depends_on:
      - db
      - third-party-proxy
    env_file:
      - clamp.env
    ports:
      - "10443:8443"
      
  third-party-proxy:
    image: python:2-slim
    volumes:
      - "../../../src/test/resources/http-cache/example/:/thirdparty:rw"
      - "../../../src/test/resources/http-cache/:/script/:ro"
    ports:
      - "8085:8085"
    command: /bin/sh -c "pip install --no-cache-dir requests &&  pip install --no-cache-dir simplejson && python -u /script/third_party_proxy.py -v true --port 8085 --root /thirdparty --proxyaddress third-party-proxy:8085"

volumes:
  db-vol:
